0 Replies Latest reply on Sep 12, 2011 12:00 PM by gaylordcat

    Why must I use Safari with Adobe Reader X?

    gaylordcat

      I operate a Mac (OS X 10.6.8) and I prefer Firefox over Safari. For years I have used Adobe Reader 9 with Firefox (6.0.2) and have had no trouble. Now I download Reader X and it demands Safari. So what must I do? Return to Safari (do not like it!) or return to Reader 9, which, incidentally, does not work on Firefox NOW! Why? Is Firefox bad news or something? If anyone out there in cyberland can help, thanks.